Subject: Re: [core] Vendor-specific options

From: Alper Yegin <[email-masked]>
Date: Wed, 21 Mar 2012 10:48:26 +0200

On Feb 8, 2012, at 1:45 PM, Carsten Bormann wrote:

> On Feb 8, 2012, at 11:44, Zach Shelby wrote:
> 
>> Should something like that be added to the base spec, I am not sure. If we are not in a hurry for it, then a separate specification in the future is fine.
> 
> I think the interesting question is when are people going to need these,

For any vendor building products and any SDO intending to use this protocol, the answer would always be "yesterday" :-)

> and what is the danger that they will they go ahead and ship something in a widely deployed product that will create a backwards compatibility headache for us.
> 
> Defining the vendor-specific option in the base spec would enable us to make very clear that squatting is not the way to go (by demonstrating the right way to go).  Keeping the option definition in coap-misc works for me, but has two disadvantages:
> 
> 1) the details may not be vetted as well, possibly creating another headache later,
> 2) people might not find it, and/or may think what is in the personal draft is not relevant for "conformance".
> 
> In any case, we need to agree on and reserve the option number (is 14 it?), so we might as well standardize the option.
> 
> So far, the only thing I know that might need some more thought here is my "SDNV of enterprise ID" tagging proposal.  Putting option 14 into the base spec might get us some more input on that :-)
> 

I support that.

Alper

> Grüße, Carsten